function [folds]=msysiniflds(allsysdata, maxfolds, sysno)
% function [folds]=msysiniflds(allsysdata, maxfolds, sysno)
% returns minim fold number that is appropriate for the multi data
% problem under condideration.
% IN 
% allsysdata:   cell array of identically structured train arrays.
%               (same number of columns however different number of samples).
% maxfolds:     suggested number of folds.
% OUT
% folds:        actual number of folds (min samplesize, maxfolds) 
%
% (C) P. Sykacek 2005
if nargin < 3
    nsets=length(allsysdata);
    nsmpls=zeros(1, nsets+1);
    nsmpls(1)=maxfolds;
    for n=1:nsets
        nsmpls(n+1)=size(allsysdata{n},1);
    end
    folds=min(min(nsmpls));
else
    folds=min([maxfolds, size(allsysdata{sysno},1)]);
end
    